package ch.zhaw.projekt2.turnierverwaltung;

import javafx.scene.layout.BorderPane;
import org.junit.jupiter.api.DisplayName;
import org.junit.jupiter.api.Test;
import org.mockito.InOrder;
import org.mockito.Mockito;

import static org.mockito.Mockito.inOrder;

public class FactoryTest {
    private Factory factory;

    @Test
    @DisplayName("Test method calls")
    void checkMethodCalls() {
        FileIO fileIO = Mockito.mock(FileIO.class);
        TournamentDecorator td = Mockito.mock(TournamentDecorator.class);
        LanguageConfigurator lc = Mockito.mock(LanguageConfigurator.class);
        BorderPane pane = Mockito.mock(BorderPane.class);
        factory = new Factory(fileIO,td,lc);
        InOrder order = inOrder(fileIO,td,lc);

        //factory.showTournamentList(pane);

    }
}
